﻿@model BinanceViewModel
@{
    ViewBag.Title = "بایننس";
}

<div class="box box-info">
    <div class="box-header with-border">
        <h4 class="box-title">موجودی بایننس</h4>
        <div class="list-info">
            <ul class="list-inline">
                <li class="list-inline-item">
                    @Html.DisplayNameFor(model => model.Balance.TotalUSDValue): <strong>@Model.Balance.TotalUSDValue.ToBlockChainPrice(2)$</strong>
                </li>
                <li class="list-inline-item">
                    @Html.DisplayNameFor(model => model.Balance.TotalFreeUSDValue): <strong>@Model.Balance.TotalFreeUSDValue.ToBlockChainPrice(2)$</strong>
                </li>
                <li class="list-inline-item">
                    @Html.DisplayNameFor(model => model.Balance.TotalLockedUSDValue): <strong>@Model.Balance.TotalLockedUSDValue.ToBlockChainPrice(2)$</strong>
                </li>
            </ul>
            <hr />
        </div>
        <div class="list-warning">
            <ul class="list-inline">
                <li class="list-inline-item">
                    @Html.DisplayNameFor(model => model.Balance.TotalBTCValue): <strong>BTC @Model.Balance.TotalBTCValue.ToBlockChainPrice()</strong>
                </li>
                <li class="list-inline-item">
                    @Html.DisplayNameFor(model => model.Balance.TotalFreeBTCValue): <strong>BTC @Model.Balance.TotalFreeBTCValue.ToBlockChainPrice()</strong>
                </li>
                <li class="list-inline-item">
                    @Html.DisplayNameFor(model => model.Balance.TotalLockedBTCValue): <strong>BTC @Model.Balance.TotalLockedBTCValue.ToBlockChainPrice()</strong>
                </li>
            </ul>
        </div>
        <div class="list-success">
            <ul class="list-inline-item">
                <li class="list-inline-item">
                    @Html.DisplayNameFor(model => model.Balance.TotalTomanValue): <strong>@Model.Balance.TotalTomanValue.ToPriceWithoutFloat() تومان</strong>
                </li>
            </ul>
        </div>
    </div>

    <div class="box-body pad">
        <div class="row">
            <div class="col-12">
                @Html.DataTables(
                        @<thead>
                            <tr>
                                <th>
                                    @Html.DisplayNameFor(model => model.Balance.Assets.GetObject().Name)
                                </th>
                                <th>
                                    @Html.DisplayNameFor(model => model.Balance.Assets.GetObject().Free)
                                </th>
                                <th>
                                    @Html.DisplayNameFor(model => model.Balance.Assets.GetObject().Locked)
                                </th>
                                <th>
                                    قیمت واحد
                                </th>
                                <th>
                                    عملیات
                                </th>
                            </tr>
                        </thead>,
            @<tbody>
                @foreach (var model in Model.Balance.Assets)
                 {
                    <tr>
                        <td>
                            @Html.DisplayFor(m => model.Name)
                        </td>
                        <td>
                            <p>
                                @(model.Free.ToBlockChainPrice())<br />
                                <small style="color:#ff6a00;">@(model.FreeBTCValue.ToBlockChainPrice()) BTC</small><br />
                                <small style="color:#666;">$@(model.FreeUSDValue.ToBlockChainPrice(2))</small>
                            </p>
                        </td>
                        <td>
                            <p>
                                @(model.Locked.ToBlockChainPrice())<br />
                                <small style="color:#ff6a00;">@(model.LockedBTCValue.ToBlockChainPrice()) BTC</small><br />
                                <small style="color:#666;">$@(model.LockedUSDValue.ToBlockChainPrice(2))</small>
                            </p>
                        </td>
                        <td>
                            <p>
                                @(model.UnitPriceInToman.ToPriceWithoutFloat()) تومان
                                <small style="color:#ff6a00;">@(model.UnitPriceInBTC.ToBlockChainPrice()) BTC</small><br />
                                <small style="color:#666;">$@(model.UnitPriceInUSD.ToBlockChainPrice(2))</small>
                            </p>
                        </td>
                        <td>
                            <a href="#" class="btn btn-sm btn-danger">Withdraw برداشت</a>
                            <a href="#" class="btn btn-sm btn-success">Deposit واریز</a>
                        </td>
                    </tr>
                 }
            </tbody>).Order(0, DataTabledOrder.Asc)
            </div>
        </div>
    </div>
</div>